StudentWritingCParserInternal::PageStruct Struct Reference

an structure of StudentWritingCParserInternal to store the page's data More...

## Public Member Functions
| PageStruct ()
| constructor

## Public Attributes
int | m_pageNumber
| the page number
int | m_firstChar
| the first character
int | m_numColumns
| the number of columns
ZoneEntry | m_hfIds [2]
| the header/footer id

## Detailed Description

an structure of StudentWritingCParserInternal to store the page's data

## Constructor & Destructor Documentation

## ◆ PageStruct()

StudentWritingCParserInternal::PageStruct::PageStruct | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_firstChar

int StudentWritingCParserInternal::PageStruct::m_firstChar

the first character

Referenced by StudentWritingCParser::createZones(), and PageStruct().

## ◆ m_hfIds

ZoneEntry StudentWritingCParserInternal::PageStruct::m_hfIds[2]

the header/footer id

Referenced by StudentWritingCParser::createZones().

## ◆ m_numColumns

int StudentWritingCParserInternal::PageStruct::m_numColumns

the number of columns

Referenced by StudentWritingCParser::createZones(), and PageStruct().

## ◆ m_pageNumber

int StudentWritingCParserInternal::PageStruct::m_pageNumber

the page number

Referenced by StudentWritingCParser::createZones(), and PageStruct().

The documentation for this struct was generated from the following file:

- StudentWritingCParser.cxx